Bug 801789 - SELinux prevent from building new XEN domain
SELinux prevent from building new XEN domain
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-09 09:16 EST by Artur Szymczak
Modified: 2013-02-13 13:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 13:53:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
qemu-dm-tescik.log (99 bytes, text/x-log)
2012-03-09 09:17 EST, Artur Szymczak
no flags Details
xend.log (9.42 KB, text/x-log)
2012-03-09 09:18 EST, Artur Szymczak
no flags Details
xen-hotplug.log (172 bytes, text/x-log)
2012-03-09 09:18 EST, Artur Szymczak
no flags Details
domain-builder-ng.log (12.94 KB, text/x-log)
2012-03-09 09:19 EST, Artur Szymczak
no flags Details

  None (edit)
Description Artur Szymczak 2012-03-09 09:16:53 EST
Description of problem:
When trying build new XEN domain SELinux prevent qemud-dm from accessing /dev/ptmx, which in result prevent buiilding XEN domain.

Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.10.0-78.fc16.noarch
xen-licenses-4.1.2-6.fc16.x86_64
xen-runtime-4.1.2-6.fc16.x86_64
xen-hypervisor-4.1.2-6.fc16.x86_64
xen-4.1.2-6.fc16.x86_64
xen-libs-4.1.2-6.fc16.x86_64
kernel-3.2.9-2.fc16.x86_64

How reproducible:


Steps to Reproduce:
1. Fresh install F16
2. Install xen package and boot xen
3. in virt-manager create new domain (next, next, next...)
  
Actual results:
see logs for xen errors

audit.log:
type=SYSCALL msg=audit(1331301802.800:112): arch=c000003e syscall=2 success=no exit=-13 a0=3a5917540d a1=2 a2=0 a3=18 items=0 ppid=1050 pid=4227 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="qemu-dm" exe="/usr/lib/xen/bin/qemu-dm" subj=system_u:system_r:qemu_dm_t:s0 key=(null)
type=AVC msg=audit(1331301802.800:112): avc:  denied  { read write } for  pid=4227 comm="qemu-dm" name="ptmx" dev=devtmpfs ino=1132 scontext=system_u:system_r:qemu_dm_t:s0 tcontext=system_u:object_r:ptmx_t:s0 tclass=chr_file

Expected results:
No errors

Additional info:
Comment 1 Artur Szymczak 2012-03-09 09:17:33 EST
Created attachment 568908 [details]
qemu-dm-tescik.log
Comment 2 Artur Szymczak 2012-03-09 09:18:06 EST
Created attachment 568909 [details]
xend.log
Comment 3 Artur Szymczak 2012-03-09 09:18:37 EST
Created attachment 568910 [details]
xen-hotplug.log
Comment 4 Artur Szymczak 2012-03-09 09:19:02 EST
Created attachment 568911 [details]
domain-builder-ng.log
Comment 5 Fedora End Of Life 2013-01-16 10:44:14 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2013-02-13 13:53:11 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.